/**
 * 生成TaskId
 * @returns {number}
 */
export const generateTaskId = () => {
  return new Date().getTime() * 10000 + parseInt(Math.random() * 10000, 10)
}

/**
 * 数组去重
 */
export const uniqueArryList = (targartArry, keyWord) => {
  for (let i = 0; i < targartArry.length; i++) {
    for (let j = i + 1; j < targartArry.length; j++) {
      if (typeof targartArry[i] === 'object') {
        if (targartArry[i][keyWord] === targartArry[j][keyWord]) {
          // 第一个等同于第二个，splice方法删除第二个
          targartArry.splice(j, 1)
          j--
        }
      } else {
        if (targartArry[i] === targartArry[j]) {
          // 第一个等同于第二个，splice方法删除第二个
          targartArry.splice(j, 1)
          j--
        }
      }
    }
  }
  // console.log(targartArry)
  return targartArry
}
